Documentation · API reference
GET/api/v1/health

What this server is

What this server is.

The answer

Status 200

Health `GET /api/v1/health`: what this server is, without signing in.

features
FeatureSetneeded
sso
booleanneededWhether instance single sign-on is configured.
store
stringneeded`sqlite` or `postgres`.
version
stringneeded

Asking

With your token from Settings
curl https://tidekeeper.eu/api/v1/health \
    -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
With your token from Settings
const answer = await fetch("https://tidekeeper.eu/api/v1/health", {
  headers: {
    Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`,
  },
}).then((r) => r.json());